<link rel="import" href="/bower_components/polymer/polymer-element.html">
<link rel="import" href="../l1page-theme/l1page-theme.html">

<link rel="import" href="/bower_components/paper-dialog/paper-dialog.html">
<link rel="import" href="/bower_components/paper-spinner/paper-spinner.html">
<link rel="import" href="/bower_components/paper-button/paper-button.html">

<!--
`<offline-modal>` is not documented properly yet
-->
<dom-module id="offline-modal">
  <template>
    <link rel="stylesheet" href="offline-modal.css?__inline=true">
    <style include="l1page-theme"></style>

    <paper-dialog opened modal>
      <p class="center">
        <img src="/images/hourglass_color.gif" alt="waiting...">
      </p>

      <h3>
        The application is offline or your browser is not correctly configured. <br>
        Check browser configuration instructions and troubleshooting <a href="https://gitlab.cern.ch/cms-cactus/web/L1Page/blob/master/docs/user-guide.md"> here </a>.<br>
      </h3>
      <p>
        This page will be automatically reloaded when a connection is successful.
      </p>
      <div class="buttons">
        <paper-button autofocus on-click="reload">reload manually</paper-button>
      </div>
    </paper-dialog>

    <slot></slot>
  </template>
</dom-module>

<script src="offline-modal.js?__inline=true"></script>
